%global module pyasn1
%global modules_version 0.3.0

Name:           python-pyasn1
Version:        0.5.1
Release:        1%{?dist}
Summary:        ASN.1 tools for Python
License:        BSD-2-Clause
Source0:        https://github.com/pyasn1/pyasn1/archive/v%{version}.tar.gz
Source1:        https://github.com/pyasn1/pyasn1-modules/archive/v%{modules_version}.tar.gz
URL:            https://github.com/pyasn1/pyasn1
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in the Python programming
language.

%package -n python3-pyasn1
Summary:    ASN.1 tools for Python 3
%{?python_provide:%python_provide python3-pyasn1}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-pyasn1
This is an implementation of ASN.1 types and codecs in the Python 3 programming
language.

%package -n python3-pyasn1-modules
Summary:    Modules for pyasn1
Requires:   python3-pyasn1 >= 0.4.7, python3-pyasn1 < 0.6.0
%{?python_provide:%python_provide python3-modules}

%description -n python3-pyasn1-modules
ASN.1 types modules for python3-pyasn1.

%package doc
Summary:        Documentation for pyasn1
BuildRequires:  make
BuildRequires:  python3-sphinx

%description doc
%{summary}.


%prep
%setup -n %{module}-%{version} -q -b1


%build
%py3_build

pushd ../pyasn1-modules-%{modules_version}
%py3_build
popd

pushd docs
PYTHONPATH=%{buildroot}%{python3_sitelib} make SPHINXBUILD=sphinx-build-3 html
popd


%install
%py3_install

pushd ../pyasn1-modules-%{modules_version}
%py3_install
popd


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test


%files -n python3-pyasn1
%doc README.md
%license LICENSE.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-*.egg-info/

%files -n python3-pyasn1-modules
%{python3_sitelib}/%{module}_modules/
%{python3_sitelib}/%{module}_modules-%{modules_version}-*.egg-info/

%files doc
%license LICENSE.rst
%doc docs/build/html/*

%changelog
* Mon Nov 27 2023 Simon Pichugin <spichugi@redhat.com> - 0.5.1-1
- Update to 0.5.1
- Update modules to 0.3.0
